## OVERVIEW
- All normal stages except for Commencement and the Stage 4s (so not including any Hidden Realms or other stages that don't advance the stage count once you clear them) will roll for either vanilla or one of two alts. The Stage 4s only have one alt each, as you'd pick between three of them normally.
- If an alt is selected, the stage's post-processing (mostly just RampFog, but a couple of them also mess with ColorGrading) will be altered to give the stage a slightly different appearance. For example, Titanic Plains can either have a bluer appearance with a darker sky (similar to the console launch trailer, except it isn't overcast), or something resembling the sunset you see in one of the PC trailers.
- Adds in Artifact of Seasons (unlocked by default for now; I'd like to tie it to Artifact Reliquary later on). If enabled, all alts will replace some of their enemies with ones more appropriate to the new color scheme; for example, the blue alt for Titanic Plains switches the spawning of Jellyfish and Lesser Wisps, and can spawn Magma Worm instead of Wandering Vagrant if your stage count is 3 or higher.

## KNOWN ISSUES
- Haven't had a chance to test it yet, but Kin and Dissonance will probably break with this
- I'm not sure if this mod causes it, but some monsters throw a lot of errors (Grandparent in particular will occasionally cause heavy lag with M2)
- Starstorm 2's storm effects are incompatible with this mod atm, they override the RampFog effect I use

## TODO
THIS MOD IS CURRENTLY ON HIATUS. I'll still fix bugs that come up, but I have other projects I want to work on before coming back to stuff here...
- Add rain effects once I figure out how tf SobelRain works
- Add a proper spawncard for Shrine of the Woods
- Figure out a solution to lighting issues in Sky Meadow
- Maybe add unused monsters and regional variants
- Expand on certain variants more, mostly the Mist variants of Distant Roost/Sundered Grove and the Lunar variants of Scorched Acres/Sky Meadow
- If you have questions/suggestions, either use the GitHub link above or contact me at my modding discord server: https://discord.gg/xjAWykGByy

## CHANGELOG

### 0.0.6
- Removing networking attempt, as it A. doesn't work and B. seems to be affecting variant rolls
- Added config for BossConfig compatibility
- Couldn't update GitHub with this, will try to fix later

### 0.0.5
- Recolored variants in Roost, Aqueduct, and Depths
- Most darker variants have had their starting fog heavily reduced, should make it easier to see up close
- Red Sundered Grove now only shows up after Stage 4 if using Artifact of Seasons
- Added Commencement variant to config, enabled by default
- Artifact of Seasons icon updated slightly
- Added config option to remove stage-based restrictions when using Artifact of Seasons
- Stage variants should hopefully be consistent between players, haven't had an opportunity to test this though
- Removed random log of Alloy Vulture's spawn card name

### 0.0.4
- Disabled Shrine of the Woods being added to Sundered Grove; it was causing the stage to not spawn interactables at all

### 0.0.3
- Dammit I forgot to add the new dll file
- Updated internal number

### 0.0.2
- Reduced the mid/end colors' transparency of some RampFog effects for clarity
- Upped the brightness of Night!Sky Meadow
- Removed unneeded console logs
- Cleaned up code in a couple other places
- Did get confirmation that OriginalSoundtrack DOES actually work so pog!
- Updated README

### 0.0.1
- First release